/* Filename: config.h
   Purpose:  Configuration File routines
   Compiler: wxDevCpp Version 7.3.1.3 (MINGW32)
   Project:  OutGauge Bus
   Original Author:   Vladimir Kadlec http://www.fi.muni.cz/~xkadlec
   
   Revision: Serial Interface and Packet Update revisions  - Pete Willard
   Version: LFS.Z28.01
            
 */
 
/*

Gear Indicator is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gear Indicator is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gear Indicator; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
#ifndef __CONFIG_H__
#define __CONFIG_H__

#include "outgauge.h"


typedef struct {
    char debug;                                        // debug 0 or 1
    char *ip;                                          // TCP/IP Address
    int port;                                          // Com Port #   
    int com;                                          // N/A
    int speed;                                        // com speed
    int fuel_warning;                                  // 1-100%  Typ: 8%
    int rpm_leds;
} Config;

void print_config (Config *conf);
void init_config (Config *conf);
int  read_config (char *file_name, Config *conf);

#endif
