/* Filename: log.c
   Purpose:  Error Handler routines
   Compiler: wxDevCpp Version 7.3.1.3 (MINGW32)
   Project:  OutGauge Bus
   Original Author:   Vladimir Kadlec http://www.fi.muni.cz/~xkadlec
   
   Revision: Serial Interface and Packet Update revisions  - Pete Willard
   Version: LFS.Z28.01

 */

/*


Gear Indicator is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gear Indicator is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gear Indicator; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
#include <stdio.h>
#include <stdarg.h>

void warning (char *s, ...) {
	va_list arg;
    va_start (arg, s);
    fprintf (stderr, "WARNING: ");
    vfprintf (stderr, s, arg);
    va_end(arg);
    fflush (stderr);
}

void error (char *s, ...) {
	va_list arg;
    va_start (arg, s);
    fprintf (stderr, "ERROR: ");
    vfprintf (stderr, s, arg);
    va_end(arg);
    fflush (stderr);
}
